Last Comment Bug 147691 - assertion: enabling/disabling quirk stylesheet too late
: assertion: enabling/disabling quirk stylesheet too late
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: P4 normal (vote)
: mozilla1.9.1
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
:
Mentors:
http://www.linux.org.uk/~telsa/Diary/...
Depends on: 450191
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 13:41 PDT by Håkan Waara
Modified: 2011-11-30 18:34 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
turn off this assertion for now (1.02 KB, patch)
2002-05-31 12:24 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
hwaara: review+
Details | Diff | Review

Description Håkan Waara 2002-05-28 13:41:32 PDT
(No idea where to file this, punt as needed.)

Go to the URL, and you will get this assertion:

###!!! ASSERTION: enabling/disabling quirk stylesheet too late: 'count == 0 || a
Enable == enabledNow', file nsStyleSet.cpp, line 879
Break: at file nsStyleSet.cpp, line 879

Stack:

NTDLL! 77f7f570()
nsDebug::Assertion(const char * 0x020a6c34, const char * 0x020a6c10, const char
* 0x020a6c00, int 879) line 274 + 13 bytes
StyleSetImpl::EnableQuirkStyleSheet(StyleSetImpl * const 0x03b1ec38, int 0) line
879 + 40 bytes
nsPresContext::SetCompatibilityMode(nsPresContext * const 0x0450ea20,
nsCompatibility eCompatibility_Standard) line 774
nsHTMLDocument::SetDTDMode(nsHTMLDocument * const 0x02e4a46c, nsDTDMode
eDTDMode_strict) line 1357
HTMLContentSink::WillBuildModel(HTMLContentSink * const 0x040379d0) line 2490
CNavDTD::WillBuildModel(CNavDTD * const 0x04c1adf8, const CParserContext &
{...}, nsITokenizer * 0x031f0f48, nsIContentSink * 0x040379d0) line 410 + 12 bytes
nsParser::WillBuildModel(nsString & {...}) line 1228 + 57 bytes
nsParser::ResumeParse(int 1, int 0, int 1) line 1708 + 23 bytes
nsParser::OnDataAvailable(nsParser * const 0x03b7701c, nsIRequest * 0x030b9dd8,
nsISupports * 0x00000000, nsIInputStream * 0x04669548, unsigned int 0, unsigned
int 6971) line 2371 + 21 bytes
nsDocumentOpenInfo::OnDataAvailable(nsDocumentOpenInfo * const 0x03f7d190,
nsIRequest * 0x030b9dd8, nsISupports * 0x00000000, nsIInputStream * 0x04669548,
unsigned int 0, unsigned int 6971) line 243 + 46 bytes
nsStreamListenerTee::OnDataAvailable(nsStreamListenerTee * const 0x042be570,
nsIRequest * 0x030b9dd8, nsISupports * 0x00000000, nsIInputStream * 0x03ea4098,
unsigned int 0, unsigned int 6971) line 97 + 51 bytes
nsHttpChannel::OnDataAvailable(nsHttpChannel * const 0x030b9ddc, nsIRequest *
0x031f0e2c, nsISupports * 0x00000000, nsIInputStream * 0x03ea4098, unsigned int
0, unsigned int 6971) line 2982 + 63 bytes
nsOnDataAvailableEvent::HandleEvent() line 193 + 70 bytes
nsARequestObserverEvent::HandlePLEvent(PLEvent * 0x045fe6dc) line 116
PL_HandleEvent(PLEvent * 0x045fe6dc) line 596 + 10 bytes
PL_ProcessPendingEvents(PLEventQueue * 0x00c141d0) line 526 + 9 bytes
_md_EventReceiverProc(HWND__ * 0x0022032a, unsigned int 49539, unsigned int 0,
long 12665296) line 1077 + 9 bytes
USER32! 77d33a5f()
USER32! 77d33b2e()
USER32! 77d33d6a()
USER32! 77d341fd()
nsAppShellService::Run(nsAppShellService * const 0x00c55640) line 451
main1(int 1, char * * 0x002f7608, nsISupports * 0x00000000) line 1456 + 32 bytes
main(int 1, char * * 0x002f7608) line 1805 + 37 bytes
mainCRTStartup() line 338 + 17 bytes
KERNEL32! 77e7eb69()
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-05-31 12:24:29 PDT
Created attachment 85798 [details] [diff] [review]
turn off this assertion for now
Comment 2 Håkan Waara 2002-05-31 12:26:36 PDT
Comment on attachment 85798 [details] [diff] [review]
turn off this assertion for now

r=hwaara
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-06-03 11:34:28 PDT
Assertion removal checked in 2002-06-03 11:26:18 PDT.
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-30 18:34:01 PST
This was fixed for real in bug 450191.

Note You need to log in before you can comment on or make changes to this bug.